<template>
	<view class="flex a-center j-center box">
		<u-empty v-if="showFalg" mode="data" text="内容为空">
		</u-empty>
	</view>
</template>

<script>
	export default {
		name: "courseware",
		props: ["tabType"],
		mounted() {
			this.tabsif(this.tabType)
		},
		watch: {
			tabType: function(newValue, oldValue) {
				this.tabsif(newValue)
			}
		},
		data() {
			return {
				showFalg:true,
				videoList:[]
			};
		},
		methods: {
			// 列表判断
			tabsif(value) {
				switch (value) {
					case 2:
						this.text = "课件页面"
						break;
					case 3:
						this.$api.getroombindvideos().then(res => {
							if(res.data.code == 200){
								this.videoList = this.data.data
							}
						})
						break;
					case 4:
						this.text = "问答页面"
						break;
					case 5:
						this.text = "讲师评价"
						break;
					case 7:
						this.text = "外部链接"
						break;
					case 9:
						this.text = "图文编辑"
						break;
					default:
						this.text = "自定义页面"
						break;
				}
			}
		}
	}
</script>

<style lang="scss" scoped>
	.box{
		height: calc(100vh - 500rpx);
	}
</style>
